#!/bin/sh
#Tag 0x006A0003
###################################################################
#
# This shell script is designed to find and execute the 'best'
# Inventor file editor/viewer as follows:
#
#	/usr/demos/Inventor/SceneViewer
#	/usr/sbin/ivview
#	/usr/sbin/SceneViewer
#
# For CDROM, version 3.2
#
# Written by:	Roger Brown, P.E.
#		18.MAR.94
#
###################################################################
#
viewer1=/usr/demos/Inventor/SceneViewer
viewer2=/usr/sbin/ivview
viewer3=/usr/sbin/SceneViewer
#
if /bin/test -x $viewer1 ; then
	$viewer1 $1 $2 $3 $4 $5 $6 $7 $8 $9 & >/dev/null
	exit 0
elif /bin/test -x $viewer2 ; then
	$viewer2 -q $1 $2 $3 $4 $5 $6 $7 $8 $9 & >/dev/null
	exit 0
elif /bin/test -x $viewer3 ; then
	$viewer3 $1 $2 $3 $4 $5 $6 $7 $8 $9 & >/dev/null
	exit 0
else
	confirm	-b "OK"						\
		-t "No Inventor editor/viewer was found "	\
		-t "(install inventor_eoe.sw) and"		\
		-t "(install inventor_eoe.demo.progs)."		\
		> /dev/null
fi
