// SGITOOLS.DCL

//----------------------------------------------------------------------+
// SendFAX dialog box							|
//----------------------------------------------------------------------+
//
//----------------------------------------------------------------------+
//	Revisions							|
//	10/27/94  RCB  1st pass						|
//----------------------------------------------------------------------+
//
sgi_sendfax : dialog 
{
	label = "SGI Tools: Send FAX";
	: row
	{
		: boxed_column 
		{
			label = "FAX Information";
			: edit_box 
			{
				key = "SGI_FAX_TO";
				label = "To:";
				mnemonic = "T";
				edit_width = 20;
			}
			: edit_box 
			{
				key = "SGI_FAX_NUMBER";
				label = "FAX Number:";
				mnemonic = "N";
				edit_width = 20;
			}
			: edit_box 
			{
				key = "SGI_FAX_COMPANY";
				label = "Company:";
				mnemonic = "C";
				edit_width = 20;
			}
			: edit_box 
			{
				key = "SGI_FAX_LOCATION";
				label = "Location:";
				mnemonic = "L";
				edit_width = 20;
			}
			: edit_box 
			{
				key = "SGI_FAX_REGARD";
				label = "Re:";
				mnemonic = "R";
				edit_width = 20;
			}
			: edit_box 
			{
				key = "SGI_FAX_COMMENT";
				label = "Comment:";
				mnemonic = "o";
				edit_width = 20;
			}
			: spacer_1 {}
			: row
			{
				: edit_box 
				{
					key = "SGI_FAX_FROM";
					label = "From:";
					mnemonic = "F";
					edit_width = 20;
				}
				: toggle
				{
					key = "SGI_USE_USER";
					label = "USER     ";
					mnemonic = "U";
				}
			}
			: row
			{
				: edit_box 
				{
					key = "SGI_FAXSERVER";
					label = "FAX Server:";
					mnemonic = "S";
					edit_width = 20;
				}
				: toggle
				{
					key = "SGI_USE_FAXSERVER";
					label = "FAXSERVER";
					mnemonic = "X";
				}
			}

		}
		: column
		{
			: boxed_radio_column 
			{
				label = "Resolution";
				value = "SGI_FAX_LOW_RES";
				fixed_width = true;
				fixed_height = true;
				: radio_button 
				{
					key = "SGI_FAX_MEDIUM_RES";
					label = "Medium";
					mnemonic = "m";
				}
				: radio_button 
				{
					key = "SGI_FAX_LOW_RES";
					label = "Low";
					mnemonic = "l";
				}
			}
			: boxed_radio_column 
			{
				label = "View";
				value = "SGI_FAX_DISPLAY";
				fixed_width = true;
				fixed_height = true;
				: radio_button
				{
					key = "SGI_FAX_DISPLAY";
					label = "Display";
					mnemonic = "y";
				}
				: radio_button
				{
					key = "SGI_FAX_EXTENTS";
					label = "Extents";
					mnemonic = "x";
				}
				: radio_button
				{
					key = "SGI_FAX_LIMITS";
					label = "Limits";
					mnemonic = "L";
				}
				: radio_button
				{
					key = "SGI_FAX_VIEW";
					label = "View";
					mnemonic = "V";
				}
				: radio_button
				{
					key = "SGI_FAX_WINDOW";
					label = "Window";
					mnemonic = "W";
				}
			}
		}
	}
	ok_cancel_help;
}
